%global gitdate 20220319.114600
%global gitcommit 80c611c39b2fd8fffb850ba803254c081cfcb9a8
%global gitshortcommit 80c611c

Name:           xdg-utils-cxx
Version:        1.0.1^%{gitdate}.%{gitshortcommit}
Release:        1%{?dist}
Summary:        Implementation of the Free Desktop Standards in C++
License:        MIT
URL:            https://github.com/azubieta/xdg-utils-cxx
# Upstream not being active lately and we need some of the updates post-tag,
# for now we will take from the latest git commit.
Source0:        %{url}/archive/%{gitcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel

%global _description \
This project was started to fulfill the need of a reliable implementations \
of such standards in the AppImage project. It is totally standalone and \
only depends on the standard c++ libraries (stdlib)

%description %{_description}

%package -n %{name}-devel
Summary:  Development subpackage for %{name}
Requires: %{name}%{?dist} = %{version}
%description -n %{name}-devel %{_description}

%prep
%autosetup -p1 -n %{name}-%{gitcommit}

%build
%cmake -DXDG_UTILS_SHARED=ON -DXDG_UTILS_TESTS=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_libdir}/libXdgUtilsBaseDir.so.1*
%{_libdir}/libXdgUtilsDesktopEntry.so.1*

%files -n %{name}-devel
%{_includedir}/XdgUtils
%{_libdir}/cmake/XdgUtils
%{_libdir}/libXdgUtilsBaseDir.so
%{_libdir}/libXdgUtilsDesktopEntry.so

%changelog
* Tue Apr 23 2024 Steve Cossette <farchord@gmail.com> - 1.0.1^20220319.114600.80c611c-1
- Initital release of xdg-utils-cxx
